Results 1 to 8 of 8

Thread: Head Over Heels - missing libX11.so.6 ?

  1. #1
    Join Date
    Jul 2006
    Location
    UK
    Beans
    192
    Distro
    Ubuntu 15.04 Vivid Vervet

    Head Over Heels - missing libX11.so.6 ?

    I've just installed the Linux remake of Head Over Heels (all-time classic ZX Spectrum game) from here http://retrospec.sgn.net/games/hoh/

    It's about 10 years old now, and I've previously installed it on loads of Linux distros over the years with no problem.

    However, on my 64 bit Xubuntu 13.04, when I try to run it I get this error (HoH is the executable that the startup script runs) :- ./HoH: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory

    A quick search on the net shows that libX11.so.6 is in the package libX11-6, however apt-get install libX11-6 returns with libx11-6 is already the newest version.

    So I already have the library that's missing - I've found it in /usr/lib/x86_64-linux-gnu

    What do I need to do?
    Registered Linux User #426227

  2. #2
    Join Date
    Nov 2009
    Beans
    Hidden!
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Head Over Heels - missing libX11.so.6 ?

    is the game compiled for 64bit? if not then you need libraries to run 32bit programmes.: https://help.ubuntu.com/community/32bit_and_64bit

    i didn't know they've made these for linux. i need to check them out.
    Easy to understand Ubuntu manual with lots of pics: http://ubuntu-manual.org/
    Do i need antivirus/firewall in linux?
    User friendly disk backup: Redobackup

  3. #3
    Join Date
    Apr 2005
    Location
    EU - UK
    Beans
    3,366
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Head Over Heels - missing libX11.so.6 ?

    Quote Originally Posted by Carl H View Post
    A quick search on the net shows that libX11.so.6 is in the package libX11-6, however apt-get install libX11-6 returns with libx11-6 is already the newest version.
    Try like that to get the 32bit version:
    Code:
    sudo apt-get install libx11-6:i386

  4. #4
    Join Date
    Jul 2006
    Location
    UK
    Beans
    192
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: Head Over Heels - missing libX11.so.6 ?

    Quote Originally Posted by kostkon View Post
    Try like that to get the 32bit version:
    Code:
    sudo apt-get install libx11-6:i386
    That's got it working, thank you! Unfortunately, there's no sound.... it was made in the days of OSS, and doesn't work with ALSA. Don't suppose there's any way to add OSS, is there?

    BTW, this is by no means the first 64 bit distro I've played this game on, and none of the others needed 32 bit libraries installing. I've just checked on my Debian 7.3 box and the i386 libraries are there already. Must be an new-ish Ubuntu thing to remove them?
    Registered Linux User #426227

  5. #5
    Join Date
    Apr 2005
    Location
    EU - UK
    Beans
    3,366
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Head Over Heels - missing libX11.so.6 ?

    Quote Originally Posted by Carl H View Post
    That's got it working, thank you! Unfortunately, there's no sound.... it was made in the days of OSS, and doesn't work with ALSA. Don't suppose there's any way to add OSS, is there?
    Actually, there is. PulseAudio provides a utility that can "emulate" OSS for you, just run the game like this:
    Code:
    padsp game_executable

  6. #6
    Join Date
    Jul 2006
    Location
    UK
    Beans
    192
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: Head Over Heels - missing libX11.so.6 ?

    So close, but ...

    ERROR: ld.so: object '/usr/lib/x86_64-linux-gnu/pulseaudio/libpulsedsp.so' from LD_PRELOAD cannot be preloaded: ignored.
    Failed to initialise sound driver!
    Insufficient digital voices available


    Registered Linux User #426227

  7. #7
    Join Date
    Jul 2006
    Location
    UK
    Beans
    192
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: Head Over Heels - missing libX11.so.6 ?

    Code:
    sudo apt-get install pulseaudio-utils:i386 osspd:i386
    This crashed and raised an error report, but running the game through padsp does produce sound now. The game sound effects seem more or less alright but the background music is a bit odd.

    Thanks for your help, kostkon.
    Registered Linux User #426227

  8. #8
    Join Date
    Aug 2007
    Location
    Austin, Texas
    Beans
    4
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: Head Over Heels - missing libX11.so.6 ?

    I enjoy the game Head Over Heals too. Make sure you have alsa-oss installed, then start the game with aoss.
    aoss hoh

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •